#584 Drouting rule fallback problem

1.8.x
closed-fixed
modules (454)
5
2012-12-12
2012-11-15
Rico
No

I've got a problem with rule fallback in drouting module. Rulle fallback does not work as expected.
When my higher priority GW is not reachable, I've got a message " All the gateways are disabled"

See the config here, and the opensips log in attachment (debug level 6)
Running opensips 1.8.2

Hope somebody will be able to help me...

best regards

--------------------------------------

#opensips.log
Nov 7 14:09:51 opensips1 /sbin/opensips[14026]: [from sip:067364xxxx@91.213.a.b / to sip:0970559999@91.213.a.b:5060 ]
Nov 7 14:09:51 opensips1 /sbin/opensips[14026]: Entering route[4]
Nov 7 14:09:51 opensips1 /sbin/opensips[14026]: ERROR:drouting:do_routing: All the gateways are disabled

##################################################################
#opensipsctl dr gw_status
ID:: 11 IP=46.226.x.y Enabled=no
ID:: 12 IP=46.226.x.z Enabled=yes

##################################################################
#opensipsctl dr show
dr gateways
+----+------+------+----------------+-------+------------+-------+------------+------------------------------+
| id | gwid | type | address | strip | pri_prefix | attrs | probe_mode | description |
+----+------+------+----------------+-------+------------+-------+------------+------------------------------+
| 5 | 11 | 1 | 46.226.x.y | 0 | NULL | NULL | 2 | OXO ASTI 1 |
| 6 | 12 | 1 | 46.226.x.z | 0 | NULL | NULL | 2 | OXO ASTI 2 |
+----+------+------+----------------+-------+------------+-------+------------+------------------------------+

##################################################################
dr rules
+--------+---------+------------+---------+----------+---------+--------+-------+---------------------------------------+
| ruleid | groupid | prefix | timerec | priority | routeid | gwlist | attrs | description |
+--------+---------+------------+---------+----------+---------+--------+-------+---------------------------------------+
| 64 | 1 | 0970559999 | | 1 | | 11 | NULL | SDA Test |
| 68 | 1 | 0970559999 | | 0 | | 12 | NULL | SDA Test |

Discussion

  • Bogdan-Andrei Iancu

    • assigned_to: nobody --> bogdan_iancu
     
  • Bogdan-Andrei Iancu

    Trying to reproduce this locally. Indeed, it seems to be bug as do_routing() internally cannot do fallback to a different rule . Currently the fallback can be done only by calling use_next_gw().

     
  • Bogdan-Andrei Iancu

    Hi Rico,

    Find attached the patch to fix the issue you have. Simply do now:
    if ( !do_routing("1","F") ) {}

    Test the patch and let me know if you see any problems. I also uploaded the patch on trunk SVN.

    Thanks and regards,
    Bogdan

     
  • Bogdan-Andrei Iancu

    • status: open --> open-fixed
     
  • Rico

    Rico - 2012-11-22

    Thanks Bogdan, will do the test as soon as possible

     
  • Bogdan-Andrei Iancu

    backport to 1.8 done!

     
  • Bogdan-Andrei Iancu

    • status: open-fixed --> closed-fixed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks